# Flag events.
rules_flag_user_flagged:
  label: 'User has been flagged'
  category: 'Flag'
  context_definitions:
    flagging:
      type: 'entity:flagging'
      label: 'Flagging'
    user:
      type: 'entity:user'
      label: 'User'
rules_flag_entity_flagged:
  label: 'After flagging an entity'
  deriver: '\Drupal\rules_flag\Plugin\RulesEvent\EntityFlaggedDeriver'
  class: '\Drupal\rules\EventHandler\ConfigurableEventHandlerEntityBundle'
rules_flag_entity_unflagged:
  label: 'After unflagging an entity'
  deriver: '\Drupal\rules_flag\Plugin\RulesEvent\EntityUnflaggedDeriver'
  class: '\Drupal\rules\EventHandler\ConfigurableEventHandlerEntityBundle'
